org.apache.olingo.odata2.api.edm.provider

## Class Key

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Key

-     public class Key
      extends Object

  Objects of this class represent a key for an entity type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Key()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `List<PropertyRef>` | `getKeys()`
    `Key` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `Key`
    `Key` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `Key`
    `Key` | `setKeys(List<PropertyRef> keys)` Sets the `Property`s by their `PropertyRef` for this `Key`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Key

          public Key()

  - ### Method Detail

    - #### getKeys

          public List<PropertyRef> getKeys()

      Returns:
        List<`PropertyRef`> references to the key properties

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setKeys

          public Key setKeys(List<PropertyRef> keys)

      Sets the `Property`s by their `PropertyRef` for this `Key`
      Parameters:
        `keys` -
      Returns:
        `Key` for method chaining

    - #### setAnnotationAttributes

          public Key setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `Key`
      Parameters:
        `annotationAttributes` -
      Returns:
        `Key` for method chaining

    - #### setAnnotationElements

          public Key setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `Key`
      Parameters:
        `annotationElements` -
      Returns:
        `Key` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.